## ktimetracker 5.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(APP_VERSION_NUMBER "5.0.1")
project(ktimetracker VERSION ${APP_VERSION_NUMBER})

set(KF5_MIN_VERSION "5.54.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)

ecm_setup_version(${APP_VERSION_NUMBER}
    VARIABLE_PREFIX KTIMETRACKER
    VERSION_HEADER src/ktimetracker-version.h
)

set(QT_REQUIRED_VERSION "5.10.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Xml)

# TODO merge these two find_package(KF5) calls when KF 5.63.0 matures
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    DBusAddons
    DocTools
    I18n
    IdleTime
    JobWidgets
    KIO
    Notifications
    WindowSystem
    XmlGui
    TextWidgets
)
find_package(KF5 5.63.0 REQUIRED COMPONENTS
    CalendarCore
)

add_subdirectory(pics)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(src)

install(FILES org.kde.ktimetracker.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR ktimetracker)
########### install files ###############

=== icons/CMakeLists.txt ===
qt5_add_resources(icons_SRCS icons.qrc)
add_library(icons OBJECT ${icons_SRCS})

set(APP_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/app/16-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/app/22-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/app/32-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/app/48-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/app/64-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/app/128-apps-ktimetracker.png
)
ecm_install_icons(
    ICONS ${APP_ICONS}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== pics/CMakeLists.txt ===
qt5_add_resources(pics_SRCS pics.qrc)
add_library(pics OBJECT ${pics_SRCS})

=== src/CMakeLists.txt ===
set(ktimetracker_SRCS
    dialogs/edittimedialog.cpp
    dialogs/taskpropertiesdialog.cpp

    export/totalsastext.cpp
    export/csvhistory.cpp
    export/csvtotals.cpp
    export/export.cpp

    file/filecalendar.cpp
    file/icalformatkio.cpp

    model/event.cpp
    model/eventsmodel.cpp
    model/projectmodel.cpp
    model/task.cpp
    model/tasksmodel.cpp
    model/tasksmodelitem.cpp

    settings/ktimetrackerconfigdialog.cpp

    widgets/searchline.cpp
    widgets/taskswidget.cpp

    dialogs/exportdialog.cpp
    desktoptracker.cpp
    focusdetector.cpp
    dialogs/historydialog.cpp
    idletimedetector.cpp
    ktimetrackerutility.cpp
    mainwindow.cpp
    import/plannerparser.cpp
    taskview.cpp
    timetrackerstorage.cpp
    timetrackerwidget.cpp
    tray.cpp
    treeviewheadercontextmenu.cpp
    $<TARGET_OBJECTS:pics>
    $<TARGET_OBJECTS:icons>
)

ecm_qt_declare_logging_category(ktimetracker_SRCS
    HEADER ktt_debug.h
    IDENTIFIER KTT_LOG
    CATEGORY_NAME log_ktt
)

qt5_add_dbus_adaptor(ktimetracker_SRCS
    org.kde.ktimetracker.ktimetracker.xml
    timetrackerwidget.h
    TimeTrackerWidget
    mainadaptor
    MainAdaptor
)

ki18n_wrap_ui(ktimetracker_SRCS
    dialogs/exportdialog.ui
    dialogs/historydialog.ui
    settings/cfgbehavior.ui
    settings/cfgdisplay.ui
    settings/cfgstorage.ui
)

kconfig_add_kcfg_files(ktimetracker_SRCS settings/ktimetracker.kcfgc)

qt5_add_resources(ktimetracker_SRCS ktimetracker.qrc)

add_library(libktimetracker STATIC ${ktimetracker_SRCS})
target_link_libraries(libktimetracker
    KF5::ConfigWidgets
    KF5::WindowSystem
    KF5::Notifications
    KF5::I18n
    KF5::XmlGui
    KF5::JobWidgets
    KF5::KIOCore
    KF5::IdleTime
    KF5::DBusAddons
    KF5::CalendarCore
    KF5::TextWidgets
)

ecm_add_app_icon(ktimetracker_app_icon_SRCS ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/16-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/22-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/32-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/48-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/64-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/app/128-apps-ktimetracker.png
)

# Add ktimetracker_app_icon_SRCS to the .exe target directly, otherwise
# the icon is not included on Windows.
add_executable(ktimetracker
    main.cpp
    ${ktimetracker_app_icon_SRCS}
)
target_link_libraries(ktimetracker libktimetracker)

install(TARGETS ktimetracker ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.ktimetracker.ktimetracker.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(PROGRAMS org.kde.ktimetracker.desktop DESTINATION ${KDE_INSTALL_APPDIR})

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== test/requirements.txt ===
pytest==4.4.0
pytest-benchmark==3.2.2
PyWebDAV3==0.9.13

=== src/tests/CMakeLists.txt ===
find_package(Qt5Test CONFIG REQUIRED)
include(ECMAddTests)

add_library(helpers STATIC helpers.cpp)
target_link_libraries(helpers libktimetracker Qt5::Test)

ecm_add_test(formattimetest.cpp LINK_LIBRARIES helpers)
ecm_add_test(exportcsvtest.cpp LINK_LIBRARIES helpers)
ecm_add_test(plannerparsertest.cpp LINK_LIBRARIES helpers)
ecm_add_test(tasktest.cpp LINK_LIBRARIES helpers)
ecm_add_test(storagetest.cpp LINK_LIBRARIES helpers)

=== debian/changelog ===
ktimetracker (4:5.0.1-3) unstable; urgency=medium

  * Disable the fixfilepath reproducibility feature, as it breaks
    QFINDTESTDATA. (Closes: #980681)
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2021 11:59:34 +0100

ktimetracker (4:5.0.1-2) unstable; urgency=medium

  * Backport upstream commit 310c0fee25f142c6f6a0e7a0b4445af2e8785c79 to fix
    formatTime() on 32bit architectures; patch
    upstream_Fix-formatTime-in-non-decimal-mode-on-32bit-archs.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Oct 2020 11:11:09 +0200

ktimetracker (4:5.0.1-1) unstable; urgency=medium

  * Initial release as independent application.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Oct 2020 10:56:01 +0200

=== debian/control ===
Source: ktimetracker
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.54.0~),
               gettext,
               libkf5calendarcore-dev (>= 5:5.63.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5jobwidgets-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5textwidgets-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.10.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KTimeTracker
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktimetracker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktimetracker

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/tests/control ===
Tests: run-python-test
Depends: @, dbus-x11, psmisc, python3, python3-pytest, pytest-benchmark, python3-pydbus, python3-webdav, xauth, xvfb
Restrictions: rw-build-tree

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ktimetracker/([\d\.]+)/src/ktimetracker-([\d\.]+)\.tar\.xz

## ktimetracker 5.0.1+p24.04+vstable+git20250926.1144

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20250926.1144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:44:07 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20251003.1209

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251003.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:09:02 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20251013.0335

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Alexander Potashev <aspotashev@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_resources(icons_SRCS icons.qrc)
add_library(icons OBJECT ${icons_SRCS})

set(APP_ICONS_BREEZE
    ${CMAKE_CURRENT_SOURCE_DIR}/22-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/32-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/48-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/64-apps-ktimetracker.png
    ${CMAKE_CURRENT_SOURCE_DIR}/128-apps-ktimetracker.png
)
ecm_install_icons(
    ICONS ${APP_ICONS_BREEZE}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(FILES org.kde.ktimetracker.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

=== src/base/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

target_sources(ktt-general
    PRIVATE
    desktoplist.h
    reportcriteria.h
)

target_link_libraries(ktt-general
    PRIVATE
    ktt-deps
)

target_sources(ktt-base
    PRIVATE
    ${ktt-dbus}
    desktoptracker.cpp desktoptracker.h
    focusdetector.cpp focusdetector.h
    idletimedetector.cpp idletimedetector.h
    ktimetrackerutility.cpp ktimetrackerutility.h
    mainwindow.cpp mainwindow.h
    taskview.cpp taskview.h
    timetrackerstorage.cpp timetrackerstorage.h
    timetrackerwidget.cpp timetrackerwidget.h
    tray.cpp tray.h
    treeviewheadercontextmenu.cpp treeviewheadercontextmenu.h
)

target_link_libraries(ktt-base
    PRIVATE
    ktt-deps
    ktt-widgets
    ktt-settings
    ktt-dialogs
    ktt-file
)

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

target_sources(ktt-widgets
    PRIVATE
    searchline.cpp searchline.h
    taskswidget.cpp taskswidget.h
)

target_link_libraries(ktt-widgets
    PRIVATE
    ktt-deps
)

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251013.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 03:35:54 +0000

=== debian/control ===
Source: ktimetracker
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kpim6-calendarsupport-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KTimeTracker
Vcs-Git: https://invent.kde.org/neon/extras/ktimetracker.git
Vcs-Browser: https://invent.kde.org/neon/extras/ktimetracker
Maintainer: Neon CI <neon@kde.org>

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.

## ktimetracker 5.0.1+p24.04+vstable+git20251019.0846

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019, 2022, 2023 Alexander Potashev <aspotashev@gmail.com>
# SPDX-FileCopyrightText: 2019 Andreas Sturmlechner <asturm@gentoo.org>
# SPDX-FileCopyrightText: 2019 Friedrich W. H. Kossebau <kossebau@kde.org>
# SPDX-FileCopyrightText: 2019 Pino Toscano <pino@kde.org>
# SPDX-FileCopyrightText: 2022 Christophe Giboudeaux <christophe@krop.fr>
# SPDX-FileCopyrightText: 2023 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-FileCopyrightText: 2024 Konstantin Avadov <konstantin.avadov@yahoo.com>

# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.20)
set(APP_VERSION_NUMBER "6.0.0")
project(ktimetracker VERSION ${APP_VERSION_NUMBER})

set(KF6_MIN_VERSION "5.240.0")

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(ECM ${KF6_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${APP_VERSION_NUMBER}
    VARIABLE_PREFIX KTIMETRACKER
    VERSION_HEADER src/ktimetracker-version.h
)

set(QT_REQUIRED_VERSION "6.4.0")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED
    DBus
    Gui
    Widgets
    Xml
    Core5Compat
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    I18n
    IdleTime
    JobWidgets
    KIO
    Notifications
    StatusNotifierItem
    XmlGui
    TextWidgets
    CalendarCore
    KCMUtils
    IconThemes
    Crash
)

if(NOT WIN32)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        WindowSystem
    )
endif()

add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(FILES org.kde.ktimetracker.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Alexander Potashev <aspotashev@gmail.com>
# SPDX-FileCopyrightText: 2021 David Stächele <david@daiwai.de>
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(ktt-general STATIC) # Header only + kcfg + logging
add_library(ktt-deps INTERFACE)
add_library(ktt-base STATIC)
add_library(ktt-dialogs STATIC)
add_library(ktt-export STATIC)
add_library(ktt-file STATIC)
add_library(ktt-import STATIC)
add_library(ktt-model STATIC)
add_library(ktt-settings STATIC)
add_library(ktt-widgets STATIC)

target_link_libraries(ktt-deps
    INTERFACE
    Qt6::Widgets
    Qt6::Core5Compat
    KF6::I18n
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::XmlGui
    KF6::CalendarCore
    KF6::ConfigGui
    KF6::IdleTime
    KF6::ConfigWidgets
    KF6::StatusNotifierItem
    KF6::KCMUtils
    KF6::TextWidgets
    KF6::KIOCore
    KF6::IconThemes
    KF6::Crash
)

if(NOT WIN32)
    target_link_libraries(ktt-deps
        INTERFACE
        KF6::WindowSystem
    )
endif()

kconfig_add_kcfg_files(ktt-general settings/ktimetracker.kcfgc)

ecm_qt_declare_logging_category(ktt-general
    HEADER ktt_debug.h
    IDENTIFIER KTT_LOG
    CATEGORY_NAME log_ktt
)

qt_add_dbus_adaptor(ktt-dbus
    # DBus spec
    org.kde.ktimetracker.ktimetracker.xml
    # Header
    base/timetrackerwidget.h
    # Parent class
    TimeTrackerWidget
    # Basename: generates mainadaptor.h/.cpp
    mainadaptor
    # Class name
    MainAdaptor
)

add_executable(ktimetracker)

target_sources(ktimetracker
    PRIVATE
    main.cpp
    ktimetracker.qrc
    ${ktt-dbus}
    $<TARGET_OBJECTS:icons>
)

ki18n_wrap_ui(ktimetracker
    dialogs/exportdialog.ui
    dialogs/historydialog.ui
    settings/cfgbehavior.ui
    settings/cfgdisplay.ui
    settings/cfgstorage.ui
)

# Add icons to the .exe target directly, otherwise
# they are not included on Windows.
ecm_add_app_icon(ktimetracker ICONS
    ${CMAKE_SOURCE_DIR}/icons/16-apps-ktimetracker.png
    ${CMAKE_SOURCE_DIR}/icons/22-apps-ktimetracker.png
    ${CMAKE_SOURCE_DIR}/icons/32-apps-ktimetracker.png
    ${CMAKE_SOURCE_DIR}/icons/48-apps-ktimetracker.png
    ${CMAKE_SOURCE_DIR}/icons/64-apps-ktimetracker.png
    ${CMAKE_SOURCE_DIR}/icons/128-apps-ktimetracker.png
)

target_link_libraries(ktimetracker
    PRIVATE
    ktt-general
    ktt-deps
    ktt-base
    ktt-export
    ktt-import
    ktt-model
)

install(TARGETS ktimetracker ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.ktimetracker.ktimetracker.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(PROGRAMS org.kde.ktimetracker.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory(base)
add_subdirectory(dialogs)
add_subdirectory(export)
add_subdirectory(file)
add_subdirectory(import)
add_subdirectory(model)
add_subdirectory(settings)
add_subdirectory(widgets)
add_subdirectory(pics)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/dialogs/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

target_sources(ktt-dialogs
    PRIVATE
    edittimedialog.cpp edittimedialog.h
    exportdialog.cpp exportdialog.h
    historydialog.cpp historydialog.h
    taskpropertiesdialog.cpp taskpropertiesdialog.h
    exportdialog.ui
    historydialog.ui
)

target_link_libraries(ktt-dialogs
    PRIVATE
    ktt-deps
)

=== src/export/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

target_sources(ktt-export
    PRIVATE
    csveventlog.cpp csveventlog.h
    csvhistory.cpp csvhistory.h
    csvtotals.cpp csvtotals.h
    export.cpp export.h
    totalsastext.cpp totalsastext.h
)

target_link_libraries(ktt-export
    PRIVATE
    ktt-deps
)

=== src/file/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Thiago Masato Costa Sueto <thiago.sueto@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

target_sources(ktt-file
    PRIVATE
    filecalendar.cpp filecalendar.h
    icalformatkio.cpp icalformatkio.h
)

target_link_libraries(ktt-file
    PRIVATE
    ktt-deps
)

=== src/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Alexander Potashev <aspotashev@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

find_package(Qt6Test CONFIG REQUIRED)
include(ECMAddTests)

add_library(helpers STATIC helpers.cpp)
target_link_libraries(helpers
    PUBLIC
    ktt-model
    ktt-widgets
    ktt-export
    ktt-dialogs
    ktt-deps
    Qt6::Test
)

ecm_add_test(formattimetest.cpp LINK_LIBRARIES helpers)
ecm_add_test(exportcsvtest.cpp LINK_LIBRARIES helpers)
# ecm_add_test(plannerparsertest.cpp LINK_LIBRARIES helpers)
ecm_add_test(tasktest.cpp LINK_LIBRARIES helpers)
ecm_add_test(storagetest.cpp LINK_LIBRARIES helpers)

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251019.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:46:18 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20251213.0603

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251213.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 06:03:50 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20251224.0903

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251224.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:03:51 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20260107.0748

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260107.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:48:33 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20260113.0714

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260113.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 07:14:46 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20260130.1255

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260130.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:55:16 +0000

## ktimetracker 5.0.1+p24.04+vstable+git20260131.0344

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260131.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:44:42 +0000

## ktimetracker 5.0.1+p24.04+vunstable+git20251013.1209

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251013.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:09:33 +0000

## ktimetracker 5.0.1+p24.04+vunstable+git20251020.1356

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251020.1356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:56:57 +0000

## ktimetracker 5.0.1+p24.04+vunstable+git20251123.1126

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251123.1126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:26:55 +0000

## ktimetracker 5.0.1+p24.04+vunstable+git20251201.0313

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251201.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:14:00 +0000

## ktimetracker 6.0.0

=== debian/changelog ===
ktimetracker (4:6.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Switch to Qt6 and KF6 build.
  * debian/rules: Use kf6 buildsystem.
  * debian/patches: Drop patches, no longer applicable.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Nov 2025 19:10:12 -0500

=== debian/control ===
Source: ktimetracker
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.54.0~),
               gettext,
               pkg-kde-tools (>= 0.15.16),
               qt6-base-dev,
               qt6-5compat-dev,
               qt6-svg-dev,
               libkf6config-dev,
               libkf6dbusaddons-dev,
               libkf6kio-dev,
               libkf6idletime-dev,
               libkf6jobwidgets-dev,
               libkf6doctools-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6xmlgui-dev,
               libkf6textwidgets-dev,
               libkf6iconthemes-dev,
               libkf6coreaddons-dev,
               libkf6kcmutils-dev,
               libkf6crash-dev,
               libkf6calendarcore-dev,
               libkf6i18n-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KTimeTracker
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktimetracker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktimetracker

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf6
 
 override_dh_auto_test:
 	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
